{
  "type": "minecraft:block",
  "pools": [
    {
      "bonus_rolls": 0,
      "conditions": [],
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:arrow",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "item_model": "stick",
                "minecraft:item_name": {
                  "text": "Wooden Arrow",
                  "color": "white"
                },
                "custom_data": {
                  "ArrowType": "wooden_arrow",
                  "IsArrow": true
                },
                "custom_model_data": {"strings":["overlyrealistic:wooden_arrow"]}
              }
            }
          ]
        }
      ],
      "rolls": 1
    }
  ]
}